org.eclipse.ui.wizards.newresource

## Class BasicNewResourceWizard

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.eclipse.ui.wizards.newresource.BasicNewResourceWizard

All Implemented Interfaces:
  IShellProvider, IWizard, INewWizard, IWorkbenchWizard

Direct Known Subclasses:
  BasicNewFileResourceWizard, BasicNewFolderResourceWizard, BasicNewProjectResourceWizard

    public abstract class BasicNewResourceWizard
    extends Wizard
    implements INewWizard

Abstract base implementation of the standard workbench wizards that create new resources in the workspace.

This class is not intended to be subclassed outside this package.

Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`protected IStructuredSelection` `selection` The current selection.

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

### Constructor Summary

Constructors
`protected` `BasicNewResourceWizard()` Creates an empty wizard for creating a new resource in the workspace.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`IStructuredSelection` `getSelection()` Returns the selection which was passed to `init`.
`IWorkbench` `getWorkbench()` Returns the workbench which was passed to `init`.
`void` `init(IWorkbench theWorkbench, IStructuredSelection currentSelection)` The `BasicNewResourceWizard` implementation of this `IWorkbenchWizard` method records the given workbench and selection, and initializes the default banner image for the pages by calling `initializeDefaultPageImageDescriptor`.
`protected void` `initializeDefaultPageImageDescriptor()` Initializes the default page image descriptor to an appropriate banner.
`protected void` `selectAndReveal(IResource newResource)` Selects and reveals the newly added resource in all parts of the active workbench window's active page.
`static void` `selectAndReveal(IResource resource, IWorkbenchWindow window)` Attempts to select and reveal the specified resource in all parts within the supplied workbench window's active page.

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

### Field Detail

#### selection

    protected IStructuredSelection selection

The current selection.

### Constructor Detail

#### BasicNewResourceWizard

    protected BasicNewResourceWizard()

Creates an empty wizard for creating a new resource in the workspace.

### Method Detail

#### getSelection

    public IStructuredSelection getSelection()

Returns the selection which was passed to `init`.

Returns:
  the selection

#### getWorkbench

    public IWorkbench getWorkbench()

Returns the workbench which was passed to `init`.

Returns:
  the workbench

#### init

    public void init(IWorkbench theWorkbench,
                     IStructuredSelection currentSelection)

The `BasicNewResourceWizard` implementation of this `IWorkbenchWizard` method records the given workbench and selection, and initializes the default banner image for the pages by calling `initializeDefaultPageImageDescriptor`. Subclasses may extend.

Specified by:
  `init` in interface `IWorkbenchWizard`
Parameters:
  `theWorkbench` - the current workbench
  `currentSelection` - the current object selection

#### initializeDefaultPageImageDescriptor

    protected void initializeDefaultPageImageDescriptor()

Initializes the default page image descriptor to an appropriate banner. By calling `setDefaultPageImageDescriptor`. The default implementation of this method uses a generic new wizard image.

Subclasses may reimplement.

#### selectAndReveal

    protected void selectAndReveal(IResource newResource)

Selects and reveals the newly added resource in all parts of the active workbench window's active page.

See Also:
  `ISetSelectionTarget`

#### selectAndReveal

    public static void selectAndReveal(IResource resource,
                                       IWorkbenchWindow window)

Attempts to select and reveal the specified resource in all parts within the supplied workbench window's active page.

Checks all parts in the active page to see if they implement `ISetSelectionTarget`, either directly or as an adapter. If so, tells the part to select and reveal the specified resource.

Parameters:
  `resource` - the resource to be selected and revealed
  `window` - the workbench window to select and reveal the resource
See Also:
  `ISetSelectionTarget`